/*************************************************************************/
/*************************************************************************/
/*                                                                       */
/*  File Name : EdgeGraph.h                                              */
/*                                                                       */
/*       Date : November  2, 1997                                        */
/* Updated at : November  2, 1997                                        */
/*                                                                       */
/*     Author : H. Timucin OZDEMIR                                       */
/*                                                                       */
/*************************************************************************/
/*************************************************************************/

#ifndef _EDGEGRAPH_H
#define _EDGEGRAPH_H


#include "AirScheduleProblem.h"
#include <iostream.h>

class EdgeGraph {

  public :

     EdgeGraph(unsigned _size);
     EdgeGraph(const EdgeGraph&);
     EdgeGraph();
     ~EdgeGraph();

     buildGraphFor(AirScheduleProblem *prob);

     float getCost(unsigned from, unsigned to) const;

     void nicePrint(ostream&) const;

     operator==(const EdgeGraph&);
     EdgeGraph operator=(const EdgeGraph&);
     friend ostream& operator<<(ostream&,const EdgeGraph&);

  private :

     float* matrix;
   unsigned size ;

   void dispose();
   void copyFrom(const EdgeGraph&);

}; // end of Class EdgeGraph

#endif
